Package com.sas.lsaf.workflow.processflow.setup

## Class NotificationTaskSetup

- java.lang.Object
- - com.sas.lsaf.workflow.processflow.setup.ElementSetup
  - - com.sas.lsaf.workflow.processflow.setup.TaskSetup
    - - com.sas.lsaf.workflow.processflow.setup.NotificationTaskSetup

- All Implemented Interfaces:
    `java.io.Serializable`

      public class NotificationTaskSetup
      extends TaskSetup

  The class that represents the setup information for notification task elements in a process flow.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `NotificationTaskSetup.MessagePriority` | The values for the priority of the message sent by the task.

  - ### Field Summary

    - ### Fields inherited from class com.sas.lsaf.workflow.processflow.setup.ElementSetup

      `description, name`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NotificationTaskSetup​(java.lang.String name, java.lang.String description, java.lang.String elementId, Element.ElementType type, java.lang.String processFlowIdentifier)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getMessage()` | Gets the message text for the notification task.
    `NotificationTaskSetup.MessagePriority` | `getPriority()` | Gets the priority for the notification task.
    `java.util.Set<Principal>` | `getRecipients()` | Gets the recipients for the notification task.
    `java.lang.String` | `getSubject()` | Gets the subject for the notification task.
    `int` | `hashCode()` |
    `void` | `setMessage​(java.lang.String message)` | Sets the message text for the notification task.
    `void` | `setPriority​(NotificationTaskSetup.MessagePriority priority)` | Sets the priority for the notification task.
    `void` | `setRecipients​(java.util.Set<Principal> recipients)` | Sets the recipients for the notification task.
    `void` | `setSubject​(java.lang.String subject)` | Sets the subject for the notification task.

    - ### Methods inherited from class com.sas.lsaf.workflow.processflow.setup.TaskSetup

      `getAttributes, setAttributes, setDescription, setName, toString`

    - ### Methods inherited from class com.sas.lsaf.workflow.processflow.setup.ElementSetup

      `getDescription, getElementId, getName, getProcessFlowIdentifier, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NotificationTaskSetup

          public NotificationTaskSetup​(java.lang.String name,
                                       java.lang.String description,
                                       java.lang.String elementId,
                                       Element.ElementType type,
                                       java.lang.String processFlowIdentifier)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the elements returned by the API.
      Parameters:
        `name` - The name of the element.
        `description` - The description of the element.
        `elementId` - The identifier of the element as it appears in the process flow definition.
        `type` - The type of the element.
        `processFlowIdentifier` - The identifier of the process flow that contains the element.

  - ### Method Detail

    - #### getRecipients

          public java.util.Set<Principal> getRecipients()

      Gets the recipients for the notification task.
      Returns:
        The recipients.

    - #### setRecipients

          public void setRecipients​(java.util.Set<Principal> recipients)

      Sets the recipients for the notification task.
      Parameters:
        `recipients` - The recipients.

    - #### getSubject

          public java.lang.String getSubject()

      Gets the subject for the notification task.
      Returns:
        The subject.

    - #### setSubject

          public void setSubject​(java.lang.String subject)

      Sets the subject for the notification task.
      Parameters:
        `subject` - The subject.

    - #### getMessage

          public java.lang.String getMessage()

      Gets the message text for the notification task.
      Returns:
        The message.

    - #### setMessage

          public void setMessage​(java.lang.String message)

      Sets the message text for the notification task.
      Parameters:
        `message` - The message.

    - #### getPriority

          public NotificationTaskSetup.MessagePriority getPriority()

      Gets the priority for the notification task.
      Returns:
        The priority.

    - #### setPriority

          public void setPriority​(NotificationTaskSetup.MessagePriority priority)

      Sets the priority for the notification task.
      Parameters:
        `priority` - The priority.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `TaskSetup`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `TaskSetup`